Skip to content
Management API Reference

Runs the project advisors with the given names

post/v2/projects/{ref}/advisors/run

The fine-grained token must include the following permissions to access this endpoint:

  • advisors_read

Path parameters

  • ref
    Required
    string

    Project ref

Body

  • data
    Required
    object

Response codes

  • 200
  • 401
  • 403
  • 429

Response (200)

{
"data": {
"type": "project_advisors",
"attributes": {
"lints": [
{
"name": "unindexed_foreign_keys",
"title": "lorem",
"level": "ERROR",
"facing": "EXTERNAL",
"categories": [
"PERFORMANCE"
],
"description": "lorem",
"detail": "lorem",
"remediation": "lorem",
"metadata": {
"schema": "lorem",
"name": "lorem",
"entity": "lorem",
"type": "table",
"fkey_name": "lorem",
"fkey_columns": [
42
]
},
"cache_key": "lorem",
"observed_at": "4404-02-29T04:24Z"
}
]
}
}
}